::ng-deep .app-confirm-register .ng-star-inserted {
    padding: 30px !important;
    text-align: center !important;
    display: flex !important;
    align-items: center !important;
    justify-content: center !important;
    flex-direction: column !important;
}

::ng-deep .cdk-overlay-pane {
    max-width: 100vw !important;
}

.nav-bg {
    padding: 6px 15px;
    background-color: #1a2332;
}

.nav-bg {
    padding: 5px 16px;
    box-shadow: 0 0 30px rgb(0 0 0 / 20%);
    background-color: #1a2332 !important;
    z-index: 99;
    -webkit-transition: all .5s ease-out;
    transition: all .5s ease-out;
}

.theme-blank {
    /* margin-left: 15px; */
    background: #fff;
    border-color: #fff;
    border-radius: 25px;
    font-weight: 600;
    box-shadow: 0 1px 8px 2px #d9d9d9;
    /* padding: 6px 20px; */
}

.theme-fill {
    margin-left: 15px;
    background: #30a551;
    border-color: #30a551;
    border-radius: 25px;
    font-weight: 600;
    box-shadow: 0 1px 8px 2px #d9d9d9;
    padding: 6px 20px;
    color: #fff;
}

.nav-link {
    color: #000;
    font-weight: 500;
    font-size: 17px;
    padding: 23px 36px;
    border-bottom: 3px solid #fff;
}

.home-h {
    font-size: 60px !important;
    font-weight: 700;
}

.theme-clr {
    color: #30a551;
}

.h1,
.h2,
.h3,
.h4,
.h5,
.h6,
h1,
h2,
h3,
h4,
h5,
h6 {
    margin-top: 0;
    margin-bottom: 0.5rem;
    font-weight: 500;
    line-height: 1.2;
}

label.enable-when-valid.btn,
.btn-next,
.btn-success {
    padding: 8px 15px;
    border-radius: 7px;
}

label.btn.btn-back {
    padding: 8px 15px;
    border-radius: 7px;
    border: 2px solid #30a551 !important;
    color: #30a551;
    background: #fff;
}

@media(max-width:767px) {
    .card {
        width: 100% !important;
    }
}

.social-fotr li a {
    /* padding-right: 8px; */
}

.showimage {
    /* position: relative;
    top: -100px; */
    margin-top: -100px;
}

.fo-rm {
    /* position: absolute;
    top: 50%;
    left: 50%;
    margin-top: -100px;
    margin-left: -250px; */
    width: 150px;
    height: 100px;
    border: 2px solid #ced4da;
    border-radius: 8px;
}

.fo-rm .fomp {
    width: 100%;
    height: 100%;
    text-align: center;
    color: #000;
    font-family: Arial;
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;
}

.fo-rm .fom-up {
    position: absolute;
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
    outline: none;
    opacity: 0;
}

.bg-cv {
    background-image: url(../../assets/build/img/cv.png);
    /* background-position: 5% 5%; */
    background-repeat: no-repeat;
}

.top-4 {
    border-radius: 8px;
    box-shadow: 0 0 32px rgb(0 0 0 / 10%);
    margin-bottom: 24px;
    padding: 30px;
    height: 290px;
    position: relative;
    background: #fff;
}

.top-4-h {
    font-weight: 700;
    font-size: 25px;
}

.top-p-4 {
    height: 118px;
    overflow: hidden;
}

.black-d {
    background: #000;
    color: #fff;
}

.scr-h-4 {
    height: 500px !important;
}

.a-s-c {
    align-self: center;
    border-radius: 20px;
}

.black-dsub {
    padding: 50px 40px;
}

.right-d li {
    list-style-type: none;
    font-size: 17px;
    /* margin-bottom: 10px; */
}

.right-d li:before {
    content: "\f0a9";
    font-family: 'FontAwesome';
    padding-right: 10px;
}

.src-img {
    border-radius: 20px;
}

.tbl-res1 {
    padding: 33px 20px;
    box-shadow: 0 0 32px rgb(0 0 0 / 10%);
    border-radius: 5px;
    margin-top: 20px;
    margin-bottom: 20px;
    height: 800px;
    overflow-y: auto;
}

.seller {
    background: #faebd7;
    border-radius: 15px;
    padding: 50px;
    margin: 0;
}

::ng-deep .cdk-overlay-pane {
    position: absolute !important;
    margin-left: 0px !important;
    margin-top: 0 !important;
    top: 0 !important;
    z-index: 999999 !important;
    text-align: center !important;
    padding-bottom: 20px !important;
    overflow: auto !important;
    display: block !important;
    left: 50%;
    top: 50% !important;
    transform: translate(-50%, -50%);
    padding: 0 !important;
    border: 2px solid #ddd;
    border-radius: 12px;
    box-shadow: 0 2px 23px -8px
}

::ng-deep .mat-mdc-dialog-surface mdc-dialog__surface {
    height: 200px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.tbl-res {
    padding: 33px 20px;
    box-shadow: 0 0 32px rgb(0 0 0 / 10%);
    border-radius: 5px;
    margin-top: 20px;
    margin-bottom: 20px;
}

.tbl-s td {
    padding: 20px 0;
}

td {
    font-size: 14px;
}

.frst-b {
    font-weight: 700;
    font-size: 48px !important;
    line-height: 58px;
}

.second-b {
    font-weight: 700;
    font-size: 20px !important;
    line-height: 58px;
}

.tbl-res1 {
    padding: 33px 20px;
    box-shadow: 0 0 32px rgb(0 0 0 / 10%);
    border-radius: 5px;
    margin-top: 20px;
    margin-bottom: 20px;
    height: 800px;
    overflow-y: auto;
}

.blu-s {
    margin-bottom: 25px;
    font-size: 45px !important;
    font-weight: 700;
}

.table {
    --bs-table-bg: transparent;
    --bs-table-accent-bg: transparent;
    --bs-table-striped-color: #212529;
    --bs-table-striped-bg: rgba(0, 0, 0, 0.05);
    --bs-table-active-color: #212529;
    --bs-table-active-bg: rgba(0, 0, 0, 0.1);
    --bs-table-hover-color: #212529;
    --bs-table-hover-bg: rgba(0, 0, 0, 0.075);
    width: 100%;
    margin-bottom: 1rem;
    color: #212529;
    vertical-align: top;
}

#progressbar {
    margin-bottom: 20px;
    overflow: hidden;
    counter-reset: step;
    padding-left: 0;
    display: flex;
    justify-content: center;
    box-shadow: 0px 3px 0px 0px #f1f1f1;
    padding-bottom: 30px;
}

#msform {
    /* width: 700px; */
    margin: 20px auto 0 auto;
    text-align: center;
    /* position: relative; */
}

#progressbar li {
    list-style-type: none;
    color: #555;
    text-transform: capitalize;
    font-size: 14px;
    width: 25%;
    float: left;
    position: relative;
    font-weight: 500;
}

#progressbar li:before {
    content: counter(step);
    counter-increment: step;
    width: 27px;
    line-height: 25px;
    display: block;
    font-size: 15px;
    color: #333;
    background: white;
    border-radius: 3px;
    margin: 0 auto 5px auto;
    border-radius: 50%;
    border: 1px solid #30a551;
}

#progressbar li.active:before,
#progressbar li.active:after {
    background: #30a551;
    color: white;
}

.mat-step-header .mat-step-icon-state-edit {
    background-color: #30a551;
    color: #fff;
}

.mat-step-header .mat-step-icon {
    background-color: #30a551 !important;
    color: #fff;
}

.input-b {
    text-align: left;
    line-height: 10px;
    font-size: 11px;
    color: #888;
}

#msform input,
#msform textarea {
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 3px;
    margin-bottom: 10px;
    width: 100%;
    box-sizing: border-box;
    color: #2C3E50;
    font-size: 13px;
    font-family: sans-serif;
}

.mat-stepper-next {
    width: 100px;
    background: #30a551;
    font-weight: bold;
    color: white;
    border: 0 none;
    border-radius: 1px;
    cursor: pointer;
    padding: 6px 5px;
    margin: 10px 5px;
    border-radius: 5px !important;
}

input.hidden {
    position: absolute;
    visibility: hidden;
}

input[type="radio"]+.show-when-checked {
    display: none;
}

input[type="radio"]:checked+.show-when-checked {
    display: block;
}

fieldset>.enable-when-valid {
    background-color: #30a551;
    color: white;
    border: 1ps solid #30a551;
}

fieldset:valid>.enable-when-valid {
    background-color: #30a551;
    color: white;
    border: 1ps solid #30a551;
}

.card-3 {
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.19), 0 6px 6px rgba(0, 0, 0, 0.23);
}

.card {
    background: #fff;
    border-radius: 2px;
    display: inline-block;
    height: auto;
    margin: 1rem;
    position: relative;
    width: 70%;
    padding: 30px;
    margin-left: auto;
    margin-right: auto;
}

ul li,
th,
td {
    font-size: 14px;
}

.btn-next {
    background: #30a551;
    color: white;
    border: 1px solid #30a551
}

.btn-back {
    background: gray;
    color: white;
    border: 1px solid gray
}

.containercheck {
    display: block;
    position: relative;
    padding-left: 35px;
    margin-bottom: 12px;
    cursor: pointer;
    font-size: 22px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}


/* Hide the browser's default radio button */

.containercheck input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
}


/* Create a custom radio button */

.checkmark {
    position: absolute;
    top: 0;
    left: 42%;
    height: 25px;
    width: 25px;
    border-radius: 0%;
    background-color: #eee;
}

.errormsg {
    color: red;
    position: relative;
    top: -10px;
    font-size: 12px;
}

.errormsg {
    animation: errormsg 0.9s ease-out;
    cursor: pointer;
}

label {
    font-weight: bold;
}


/* On mouse-over, add a grey background color */

.containercheck:hover input~.checkmark {
    background-color: #ccc;
}


/* When the radio button is checked, add a blue background */

.containercheck input:checked~.checkmark {
    background-color: #2196F3;
}


/* Create the indicator (the dot/circle - hidden when not checked) */

.checkmark:after {
    content: "";
    position: absolute;
    display: none;
}


/* Show the indicator (dot/circle) when checked */

.containercheck input:checked~.checkmark:after {
    display: block;
}


/* Style the indicator (dot/circle) */

.containercheck .checkmark:after {
    top: 7px;
    left: 7px;
    width: 8px;
    height: 8px;
    background: white;
}

.progress-bar {
    background-color: #30a551;
    border-radius: 20px;
}

.fa-location-dot {
    position: absolute;
    top: 10px;
    left: 10px;
    color: #555;
}